routes/web.php
<?php

//    use App\User;

//    use App\News;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//    Route::group(['middleware' => ['web']], function () {
        Auth::routes();
//    });
Route::get('/', 'WelcomeController@index')->name('home');
    Route::post('/feedback', 'WelcomeController@feedback')->name('feedback');
Route::group(['middleware' => ['web'], 'prefix' => 'admin'], function (){

    Route::group(['namespace' => '\Inani\Larapoll\Http\Controllers'], function(){

        Route::middleware(["role:author,editor,admin,super_admin"])->group(function () {
            Route::get('/polls', ['uses' => 'PollManagerController@index', 'as' => 'poll.index']);
            Route::get('/polls/home', ['uses' => 'PollManagerController@home', 'as' => 'poll.home']);
            Route::get('/polls/create', ['uses' => 'PollManagerController@create', 'as' => 'poll.create']);
            Route::get('/polls/{poll}', ['uses' => 'PollManagerController@edit', 'as' => 'poll.edit']);
            Route::patch('/polls/{poll}', ['uses' => 'PollManagerController@update', 'as' => 'poll.update']);
            Route::delete('/polls/{poll}', ['uses' => 'PollManagerController@remove', 'as' => 'poll.remove']);
            Route::patch('/polls/{poll}/lock', ['uses' => 'PollManagerController@lock', 'as' => 'poll.lock']);
            Route::patch('/polls/{poll}/unlock', ['uses' => 'PollManagerController@unlock', 'as' => 'poll.unlock']);
            Route::post('/polls', ['uses' => 'PollManagerController@store', 'as' => 'poll.store']);
            Route::get('/polls/{poll}/options/add', ['uses' => 'OptionManagerController@push', 'as' => 'poll.options.push']);
            Route::post('/polls/{poll}/options/add', ['uses' => 'OptionManagerController@add', 'as' => 'poll.options.add']);
            Route::get('/polls/{poll}/options/remove', ['uses' => 'OptionManagerController@delete', 'as' => 'poll.options.remove']);
            Route::delete('/polls/{poll}/options/remove', ['uses' => 'OptionManagerController@remove', 'as' => 'poll.options.remove']);
        });

        Route::post('/vote/polls/{poll}', 'VoteManagerController@vote')->name('poll.vote');
    });


    Route::get('/', 'HomeController@index')->name('admin');
//    Route::get('/admin/chart', 'HomeController@chart')->name('admin.chart');
//    Route::get('/admin/users/{user}/reset', 'UsersController@resetscore')->name('admin.score.reset')->middleware('role:user,super_user,admin,super_admin');

//    Route::group(['middleware' => ['pay,role:super_admin']], function () {
//        Route::get('/admin/users/{user}/parent/add', 'UsersController@parentScoreAdd')->name('admin.score.add');
//        Route::get('/admin/users/{user}/parent/remove', 'UsersController@parentScoreRemove')->name('admin.score.remove');
//        Route::get('/admin/users/{user}/parent/score/{score}', 'UsersController@parentScoreToChild')->name('parent.score');
//    });

//    Route::put('/admin/users/{user}/assign', 'UsersController@assigned')->name('users.assigned')->middleware('role:super_user,author,editor,admin,super_admin');
//    Route::get('/admin/users/{user}/assign', 'UsersController@assign')->name('users.assign')->middleware('role:super_user,author,editor,admin,super_admin');

//    Route::put('/exams/{test}/assigned_pupil', 'UsersController@assigned_pupil')->name('users.assigned.pupil')->middleware('role:super_user,author,editor,admin,super_admin');
//    Route::get('/exams/{test}/assign_pupil', 'UsersController@assign_pupil')->name('users.assign.pupil')->middleware('role:super_user,author,editor,admin,super_admin');

    Route::resource('/pages', 'PagesController')->middleware('role:author,editor,admin,super_admin');
    Route::resource('/news', 'NewsController')->middleware('role:author,editor,admin,super_admin');

    Route::resource('/users', 'UsersController')->except('create,destroy')->middleware('role:author,editor,admin,super_admin');

    Route::get('/profile', 'UsersController@editCurrent')->name('profile.edit')->middleware('auth');
    Route::put('/profile', 'UsersController@updateCurrent')->name('profile.update')->middleware('auth');

    Route::resource('/adress', 'AdressController')->except('create,destroy')->middleware('role:author,editor,admin,super_admin');


    Route::get('/users/new', 'UsersController@create')->middleware('role:admin,super_admin');

    Route::delete('/users/{user}', 'UsersController@destroy')->name('users.destroy')->middleware('role:admin,super_admin');
    Route::resource('/roles', 'RolesController')->middleware('role:super_admin');
    Route::resource('/topics', 'TopicController')->middleware('role:admin,super_admin');

//    Route::resource('/admin/tests', 'TestsController')->middleware('role:super_user,author,editor,admin,super_admin');

//    Route::resource('/admin/questions', 'QuestionController')->except('index,create')->middleware('role:author,editor,admin,super_admin');
//    Route::get('/admin/questions/create/{test_id}', 'QuestionController@create')->name('questions.create')->middleware('role:author,editor,admin,super_admin');

//    Route::resource('/admin/answers', 'AnswerController')->except('index,create')->middleware('role:author,editor,admin,super_admin');
//    Route::get('/admin/answers/create/{question_id}', 'AnswerController@create')->name('answers.create')->middleware('role:author,editor,admin,super_admin');

//    Route::get('/testing/exams', 'TestStartController@list')->name('exams.list')->middleware('role:super_user,admin,super_admin');
//    Route::get('/testing/exams/result/{id}', function ($id) {
//        $test = \App\TestCompleted::find($id);
//        return view('tests.result', ['test' => $test]);
//    })->name('exams.result');//->middleware('role:super_user,admin,super_admin');
//    Route::post('/testing/exams/{id}/control', 'TestStartController@control')->name('exams.control')->middleware('role:super_user,admin,super_admin');//->middleware('avaible.test');
//    Route::get('/testing/exams/{id}/start', 'TestStartController@execute')->name('exams.start')->middleware('role:super_user,admin,super_admin');//->middleware('avaible.test');
});
//=======================================================
//Route::get('clear-cache', function() {
//
//    Artisan::call('cache:clear');
//    return "Кэш очищен!";
//
//});

//Route::get('lang/{locale}', function ($locale) {
//
//    if (in_array($locale, \Config::get('app.locales'))) {
//        Session::put('locale', $locale);
//    }
//
//    return redirect()->back();
//
//});
//    Route::get('contact', function () {
//        return view('contact');
//    })->name('contact');
//    ===========================================
Route::get('{slug}', 'PagesController@showBySlug')->name('pages.slug');
Route::get('news/{slug}', 'NewsController@showBySlug')->name('news.slug');
//Route::get('contact', function () {
//    return view('contact');
//})->name('contact');


//
//Route::get('url/generate-shorten-link', 'ShortLinkController@index')->middleware('role:admin,super_admin');
//Route::post('url/generate-shorten-link', 'ShortLinkController@store')->name('generate.shorten.link.post')->middleware('role:admin,super_admin');
//
//Route::get('url/{code}', 'ShortLinkController@shortenLink')->name('shorten.link')->middleware('role:user');

app/Http/Controllers/Users/AdressController.php
<?php

namespace App\Http\Controllers;

use App\Adress;
use App\Http\Requests\AdressValidation;
use Illuminate\Http\Request;

class AdressController extends Controller
{
    public function index()
    {
        $adresses = Adress::all();
        return view('adresses.index', ['adresses' => $adresses]);
    }

    public function create()
    {
        return view('adresses.create');
    }

    public function store(AdressValidation $request)
    {
        $role = Adress::create($request->all());

        return redirect()->route('adresses.show', $role);
    }

    public function edit($id)
    {
        $role = Adress::find($id);

        return view('adresses.edit', ['role' => $role]);
    }

    public function show($id)
    {
        $role = Adress::find($id);

        return view('adresses.view', ['role' => $role]);
    }

    public function update(AdressValidation $request, $id)
    {
        $role = Adress::find($id);

        $role->fill($request->all());
        $role->save();

        return redirect()->route('adresses.index');
    }

    public function destroy($id)
    {
        Adress::find($id)->delete($id);

        return redirect()->route('adresses.index');
    }
}

resources/views/adresses/create.blade.php
@extends('layouts.app')

@section('sidebar')
    @parent

@stop

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h1>Создание адреса</h1>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            {!! Form::open(['route' => 'adresss.store', 'method' => 'post']) !!}

                            <dd>
                                <label for="name">{{ __('Name') }}</label>
                                <input type="text" class="form-control" name="name" value="{{ old('name') }}">
                                @if ($errors->has('name'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="email">E-mail</label>
                                <input type="email" class="form-control" name="email" value="{{ old('email') }}">
                                @if ($errors->has('email'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="phone">{{ __('Phone') }}</label>
                                <input type="tel" class="form-control" name="phone" value="{{ old('phone') }}">
                                @if ($errors->has('phone'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <div class="pupil">
                                <dd>
                                    <label for="school">Школа</label>
                                    <input type="text" class="form-control" name="school" value="{{ old('school') }}">
                                    @if ($errors->has('school'))
                                        <b class="alert alert-danger">{{ $errors->first() }}</b>
                                    @endif
                                </dd>
                                <dd>
                                    <label for="class">Класс</label>
                                    <input type="number" min="1" max="12" class="form-control" name="class" value="{{ old('class') }}">
                                    @if ($errors->has('class'))
                                        <b class="alert alert-danger">{{ $errors->first() }}</b>
                                    @endif
                                </dd>
                                <dd>
                                    <label for="class_litter">Литер</label>
                                    <input type="text" class="form-control" maxlength="1" name="class_litter" value="{{ old('class_litter') }}">
                                    @if ($errors->has('class_litter'))
                                        <b class="alert alert-danger">{{ $errors->first() }}</b>
                                    @endif
                                </dd>
                            </div>
                            <dd>
                                <label for="role_id">{{ __('Role') }}</label>
                                <select class="form-control" name="role_id" value="{{ old('role_id') }}">
                                    @foreach($roles as $role)
                                        <option value="{{ $role->id }}">{{ $role->name }}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('role'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="password">{{ __('Password') }}</label>
                                <input type="password" class="form-control" name="password" value="{{ old('password') }}">
                                @if ($errors->has('password'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="password_confirm">Подтверждение пароля</label>
                                <input type="password" class="form-control" name="password_confirmation" value="{{ old('password_confirmation') }}">
                                @if ($errors->has('password_confirmation'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>

                            <button class="btn btn-success" type="submit">Сохранить</button>

                            {!! Form::close() !!}


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

resources/views/adresses/edit.blade.php
@extends('layouts.app')

@section('sidebar')
    @parent

@stop

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        {{ Breadcrumbs::render('adress_edit', $adress) }}
                    </div>
                    <div class="card-body">
                        <div class="form-group">

                            {!! Form::open(['route' => ['users.update', $adress->id], 'method' => 'PUT']) !!}
                            <dd>
                                <label for="name">{{ __('Name') }}</label>
                                <input type="text" class="form-control" name="name" value="{{ $adress->name }}">
                                @if ($errors->has('name'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="email">E-mail</label>
                                <input type="email" class="form-control" name="email" value="{{ $adress->email }}">
                                @if ($errors->has('email'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="phone">{{ __('Phone') }}</label>
                                <input type="phone" class="form-control" name="phone" value="{{ $adress->phone }}">
                                @if ($errors->has('phone'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <div class="pupil @if($adress->role_id != 1) d-none @endif">
                                <dd>
                                    <label for="school">Школа</label>
                                    <input @if($adress->role_id != 1) disabled="disabled" @endif type="text" class="form-control" name="school" value="{{ $adress->school }}">
                                    @if ($errors->has('school'))
                                        <b class="alert alert-danger">{{ $errors->first() }}</b>
                                    @endif
                                </dd>
                                <dd>
                                    <label for="class">Класс</label>
                                    <input @if($adress->role_id != 1) disabled="disabled" @endif type="number" min="1" max="12" class="form-control" name="class" value="{{ $adress->class }}">
                                    @if ($errors->has('class'))
                                        <b class="alert alert-danger">{{ $errors->first() }}</b>
                                    @endif
                                </dd>
                                <dd>
                                    <label for="class_litter">Литер</label>
                                    <input @if($adress->role_id != 1) disabled="disabled" @endif type="text" class="form-control" maxlength="1" name="class_litter" value="{{ $adress->class_litter }}">
                                    @if ($errors->has('class_litter'))
                                        <b class="alert alert-danger">{{ $errors->first() }}</b>
                                    @endif
                                </dd>
                            </div>
                            <dd>
                                <label for="role_id">{{ __('Role') }}</label>
{{--                                {{ dd(\App\Role::all()->where('id', '<=', $adress->role_id)) }}--}}
                                <select class="form-control" name="role_id">
                                    @foreach(\App\Role::all()->where('id', '<=', $adress->role_id) as $role)
                                        <option {{ ($adress->role->id == $role->id) ? 'selected' : '' }} value="{{ $role->id }}">{{ $role->name }}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('role'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="password">{{ __('Password') }}</label>
                                <input type="password" class="form-control" name="password" value="">
                                @if ($errors->has('password'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <dd>
                                <label for="password_confirm">Подтверждение пароля</label>
                                <input type="password" class="form-control" name="password_confirmation" value="">
                                @if ($errors->has('password_confirmation'))
                                    <b class="alert alert-danger">{{ $errors->first() }}</b>
                                @endif
                            </dd>
                            <button class="btn btn-warning" type="submit">Изменить</button>

                            {!! Form::close() !!}

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

resources/views/adresses/index.blade.php
@extends('layouts.app')

@section('sidebar')
    @parent

@stop

@section('content')
    <div class="container-fluid">

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        {{ Breadcrumbs::render('adresses') }}
                        @if (Auth::user()->hasRoles(['super_user', 'super_admin', 'admin']) )
                            <a class="position-absolute btn btn-success btn-sm btn-add" href="{{ route('adress.create') }}">Добавить</a>
                        @endif
                    </div>
                    <div class="card-body">
                        <table class="table">
                            <thread>
                                <tr>
                                    @if( Auth::user()->isAdmin() )
                                        <td>ID</td>
                                    @endif
                                    <td>{{ __('City') }}</td>
                                    <td>{{ __('Street') }}</td>
                                    <td>{{ __('Building') }}</td>
                                    <td>{{ __('Appartment') }}</td>

{{--                                    <td>{{ __('Action') }}</td>--}}
                                </tr>
                            </thread>
                            <tbody>

                            @foreach($adresses as $adress)
                                <tr>
                                    @if (Auth::user()->isAdmin())
                                        <td>{{ $adress->id }}</td>
                                    @endif
                                    <td>{{ $adress->city }}</td>
                                    <td>{{ $adress->street }}</td>
                                    <td>{{ $adress->building }}</td>
                                    <td>{{ $adress->appartment }}</td>

{{--                                    <td>--}}
{{--                                        <a class="btn btn-sm btn-success" href="{{ route('adresses.edit', $adress->id) }}"><i class="fa fa-edit"></i></a>--}}
{{--                                        @if (Auth::user()->hasRoles(['super_admin', 'admin']) )--}}
{{--                                            {!! Form::open(['route' => ['adresses.destroy', $adress->id], 'method' => 'DELETE', 'class' => 'd-inline']) !!}--}}
{{--                                            <button class="btn btn-sm btn-danger" onclick="return confirm('Вы уверены что хотите удалить?')"><i class="fa fa-trash"></i></button>--}}
{{--                                            {!! Form::close() !!}--}}
{{--                                        @endif--}}
{{--                                        <a href="{{ route('adresses.destroy', $adress->id) }}"></a>--}}
{{--                                    </td>--}}
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
@stop

resources/views/adresses/view.blade.php
@extends('layouts.app')

@section('sidebar')
    @parent

@stop

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h1>Адрес - {{ $adress->name }}</h1>
                    </div>
                    <div class="card-body">
                        <div class="form-group">

                            {!! Form::open(['route' => ['adresss.update', $adress->id], 'method' => 'PUT']) !!}
                            <dd>
                                <label for="name">{{ __('Name') }}</label>
                                <input type="text" class="form-control" name="name" disabled value="{{ $adress->name }}">
                            </dd>
                            <dd>
                                <label for="email">E-mail</label>
                                <input type="email" class="form-control" name="email" disabled value="{{ $adress->email }}">
                            </dd>
                            <dd>
                                <label for="phone">{{ __('Phone') }}</label>
                                <input type="text" class="form-control" name="phone" disabled value="{{ $adress->phone }}">
                            </dd>
                            {!! Form::close() !!}

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop